//
//  OTTPayServer.h
//  OTTPaySDK
//
//  Created by Lipengxuan on 5/10Friday.
//  Copyright © 2019 OTTPay. All rights reserved.
//

#import <UIKit/UIKit.h>



NS_ASSUME_NONNULL_BEGIN
/*
 error = @{@"msg":@"错误信息",@"code":@"错误码"}
 */
typedef void(^OTTPayCallback)(BOOL success, NSDictionary *error);

@interface OTTPayServer : NSObject

+ (instancetype)sharedManager;
//服务端支付结果回调地址
+(void)setBackUrl:(NSString *)backUrl;
//注册sdk
+ (void)registerOTTPayWithMerchantID:(NSString *)merchant_id shopID:(NSString *)shop_id serverUrl:(NSString *)server_url operatorId:(NSString *)operator_id appScheme:(nonnull NSString *)appScheme;
//sdk回调App
+ (BOOL)application:(UIApplication *)application handleOpenURL:(NSURL *)url;
+ (BOOL)application:(UIApplication *)application openURL:(NSURL *)url sourceApplication:(NSString *)sourceApplication annotation:(id)annotation;


//支付接口，如果需要回调，请先调用+setBackUrl:
+(void)payForOrderID:(NSString *)orderID amount:(NSString *)amount currency:(NSString *)currency bizType:(NSString *)bizType callback:(OTTPayCallback)callback;

@end

NS_ASSUME_NONNULL_END
