//
//  ViewController.m
//  OTTPaySDKDemo
//
//  Created by Lipengxuan on 5/10Friday.
//  Copyright © 2019 OTTPay. All rights reserved.
//

#import "ViewController.h"

#import <OTTPaySDK/OTTPaySDK.h>

@interface ViewController ()<UITextFieldDelegate>
@property (weak, nonatomic) IBOutlet UITextField *currencyTF;

@property (weak, nonatomic) IBOutlet UITextField *order_idTF;
@property (weak, nonatomic) IBOutlet UITextField *amount;


@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
}

- (IBAction)pay:(id)sender {
    [self.view endEditing:YES];
    //如果每个订单回调地址不一样则在当前订单发起支付请求前设置回调地址
    [OTTPayServer setBackUrl:@"http://you.com/callback/url"];
    
    [OTTPayServer payForOrderID:_order_idTF.text amount:_amount.text currency:_currencyTF.text bizType:@"ALIPAYONLINE"  callback:^(BOOL success, NSDictionary * _Nonnull error) {
        if (success) {
            UIAlertController *al = [UIAlertController alertControllerWithTitle:@"支付成功" message:@"支付宝支付成功" preferredStyle:UIAlertControllerStyleAlert];
            UIAlertAction *act = [UIAlertAction actionWithTitle:@"OK" style:UIAlertActionStyleCancel handler:nil];
            [al addAction:act];
            [self presentViewController:al animated:YES completion:nil];
        }else{
            UIAlertController *al = [UIAlertController alertControllerWithTitle:@"支付失败" message:error[@"msg"] preferredStyle:UIAlertControllerStyleAlert];
            UIAlertAction *act = [UIAlertAction actionWithTitle:@"OK" style:UIAlertActionStyleCancel handler:nil];
            [al addAction:act];
            [self presentViewController:al animated:YES completion:nil];
        }
    }];
    
}
-(BOOL)textFieldShouldBeginEditing:(UITextField *)textField{
    if (textField == _amount) {
        return YES;
    }
    [self.view endEditing:YES];
    if (textField == _order_idTF) {
        _order_idTF.text = [self randomOrderID];
    }
    return NO;
}
-(void)textFieldDidEndEditing:(UITextField *)textField{
    _amount.text = @([_amount.text intValue]).stringValue;
}


-(NSString *)randomOrderID{
    NSString * strAll = @"0123456789";
    //定义一个结果
    NSMutableString * result = [[NSMutableString alloc]initWithCapacity:12];
    for (int i = 0; i < 12; i++){
        //获取随机数
        NSInteger index = arc4random() % (strAll.length-1);
        char tempStr = [strAll characterAtIndex:index];
        result = (NSMutableString * )[result stringByAppendingString:[NSString stringWithFormat:@"%c",tempStr]];
    }
    return [NSString stringWithFormat:@"TEST%@",result ];
}

@end
